fpclasschart(1)

NAME
fpclasschart - The Free Pascal class tree generator.

SYNOPSIS

fpclasschart --input=cmdline --output=filename [--merge=filename] [--kind=objectkind] [--lang=language] [--help]

Description

fpclasschart Creates class tree from pascal source

Usage

You can invoke fpclasschart with as one or more options.

Options

fpclasschart has several options, most of them optional, defaults will be used in most cases.

--input=cmdline
    This option tells fpclasschart to generate a tree file. The command line is the same as the compiler's one used to compile the source file.

--output=filename
    This option specifies the name of the generated file descfile that contains the actual chart for the object tree.

--merge=filename
    Gives a path to a file already containing an object tree to merge.

--kind=objectkind
    Specifys object kind. One of object, class, interface.

--lang=language
    Sets the language for the output file. This will mainly set the strings used for the headers in various parts of the documentation files (by default they're in english). Currently, valid options are

    de  German.

    fr  French.

    nl  Dutch.

--help
    Writes a help message.

SEE ALSO

    ppc386(1) latex(1) makeskel(1)